﻿if (Get-Module -Name AzureRM -ListAvailable) {
    Write-Warning -Message ('Az module not installed. Having both the AzureRM and ' +
      'Az modules installed at the same time is not supported.'+
      'Please, uninstall AzureRM (Microsft Azure PowerShell - April, 2018) '+
      'from Control panel - Programs')
} else {
    Install-Module -Name Az -AllowClobber -Scope CurrentUser
}
Import-Module -Name Az
$Location='Northeurope'
Connect-AzAccount
Get-AzVMImageOffer -Location $Location -Publisher 'MicrosoftSQLServer'