﻿#Connect to your Azure Account
Connect-AzAccount

$ResourceGroupName = "<Your_Resource-Group-Name>"
$StorageAccountName = "<Your_Storage-Account-Name>"
$KeyName="key1" # IMPORTANT: it must be one of the predefined values by ValidateSet. By default: key1;key2;kerb1;kerb2
New-AzStorageAccountKey `
    -ResourceGroupName $ResourceGroupName `
    -Name $StorageAccountName `
    -KeyName $KeyName 
$k=Get-AzStorageAccountKey `
    -ResourceGroupName $ResourceGroupName `
    -Name $StorageAccountName `
    -ListKerbKey | `
        where-object{$_.Keyname -eq $KeyName}
Clear-Host
Write-Host "Copy the following key to use it for the storage account in AD " 
$k.Value

